org.apache.ignite.client

## Class ClientConnectionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.client.ClientException
        - - org.apache.ignite.client.ClientConnectionException

All Implemented Interfaces:
  Serializable

    public class ClientConnectionException
    extends ClientException

Indicates all the Ignite servers specified in the client configuration are no longer available.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ClientConnectionException(String msg)` Constructs a new exception with the specified detail message.
`ClientConnectionException(String msg, Throwable cause)` Constructs a new exception with the specified cause and detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClientConnectionException

    public ClientConnectionException(String msg)

Constructs a new exception with the specified detail message.

Parameters:
  `msg` - the detail message.

#### ClientConnectionException

    public ClientConnectionException(String msg,
                                     Throwable cause)

Constructs a new exception with the specified cause and detail message.

Parameters:
  `msg` - the detail message.
  `cause` - the cause.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022